package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.meapi.model.Sfc;
import com.foreverwin.modular.core.util.FrontPage;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
public interface SfcService extends IService<Sfc> {
    IPage<Sfc> pageByResrce(Page<Sfc> pagePlus, QueryWrapper<SfcDto> queryWrapper, String globalQuery);

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Sfc> selectPage(FrontPage<Sfc> frontPage, Sfc sfc);

    List<Sfc> selectList(Sfc sfc);

    /**
     * 查询工单下生产批次
     */
    List<Sfc> getSfcListByShopOrderBo(String shopOrderBo);

    /**
     * 获取sfc的开始时间
     */
    LocalDateTime getSfcStartTime(String sfcBO);

    /**
     * 查询生产批次的基本信息
     *
     * @param site
     * @param sfc
     * @return
     */
    SfcDto findSfcData(String site, String sfc);


    Map findOperationBySfc(String sfc);

    List<Sfc> findSfcByResrce(String resource,Sfc sfc);

}